//controlView.cpp
//Copyright © 1998, Paul Yu 

#include <InterfaceKit.h>
#include "controlView.h"
#include "message_protocols.h"

controlView::controlView(listView *listview) : BView(BRect(0,0,110,179), "controlView", B_FOLLOW_NONE, B_WILL_DRAW)
{
	SetViewColor(0xe0, 0xe0, 0xe0, 0);
	mListView = listview;
}

controlView::~controlView()
{
	/*	*/
}

void controlView::AttachedToWindow()
{
	float y = 0;
	BWindow *window = Window();
	BRect rect = window->Bounds();

	while(window->FindView(BPoint(261, y)) != NULL)
		y += 5;

	MoveTo(261, y);

	if (rect.Width() < 260 + Bounds().Width())
		window->ResizeTo(260 + Bounds().Width(), rect.Height());

	BMessage add(ADD);
	BMessage edit(EDIT);
	BMessage del(DELETE);	
	add.AddPointer("listview", mListView);
	edit.AddPointer("listview", mListView);
	del.AddPointer("listview", mListView);

	BButton *button1 = new BButton(BRect(10,20,90,34), "Add", "Add…", new BMessage(&add), B_FOLLOW_TOP | B_FOLLOW_RIGHT);
	AddChild(button1);
	BButton *button2 = new BButton(BRect(10,60,90,34), "Edit", "Edit…", new BMessage(&edit), B_FOLLOW_TOP | B_FOLLOW_RIGHT);
	AddChild(button2);
	BButton *button3 = new BButton(BRect(10,100,90,34), "Delete", "Delete", new BMessage(&del), B_FOLLOW_TOP | B_FOLLOW_RIGHT);
	AddChild(button3);
}
