//navView.cpp
//Copyright © 1998, Paul Yu 

#include <InterfaceKit.h>
#include "navView.h"

navView::navView() : BView(BRect(0,0,370,40), "navView", B_FOLLOW_NONE, B_WILL_DRAW)
{
	SetViewColor(0xe0, 0xe0, 0xe0, 0);
}

navView::~navView()
{
	/*	*/
}

void navView::AttachedToWindow()
{
	int32 y = 0;
	BWindow *window = Window();
	BRect rect = window->Bounds();
	float offset = (rect.Width() - 180) / 2;

	while(window->FindView(BPoint(0, y)) != NULL)
		y += 5;

	MoveTo(0, y);

	BButton *button1 = new BButton(BRect(offset, 10, offset + 80, 34), "OK", "OK", new BMessage((uint32)B_OK), B_FOLLOW_TOP | B_FOLLOW_RIGHT);
	AddChild(button1);
	BButton *button2 = new BButton(BRect(offset + 100, 10, offset + 180,34), "Cancel", "Cancel", new BMessage(B_CANCEL), B_FOLLOW_TOP | B_FOLLOW_RIGHT);
	AddChild(button2);	

	window->ResizeTo(rect.Width(), y + 40);
}
