//orderedList.h
//Copyright © 1998, Paul Yu 

#ifndef _orderedList_h_
#define _orderedList_h_

#include <List.h>

class namedPointer
{
	public:
		namedPointer(const char *name, void *pointer);
		~namedPointer();

	//protected:
		void *mPointer;
		char *mName;
};

class orderedList : protected BList
{
	public:
		orderedList(int32 count = 20);
		virtual ~orderedList();

		void *FindItem(const char *name);
		status_t AddItem(const char *name, void *pointer);
		const char *GetName(int32 index);

	protected:
		int32 GetIndex(const char *name, bool *found);
};

#endif
