//Initialise.cpp

//This is the implementation file for the initialiser.

#include <stdlib.h>
#include <View.h>
#include "Initialise.h"

//Entities are represented by BMessages which contain all the attributes of a given entity.
//Initialisers are used to give entities some default attributes.

status_t Initialise(BMessage *entity)
{
	rgb_color color;
	
	color.red = 0;
	color.green = 0;
	color.blue = 0;
	color.alpha = 255;

	switch(rand() % 3)
	{
		case 0:
			color.red = 255;
			break;
		case 1:
			color.green = 255;
			break;
		default:
			color.blue = 255;
			break;
	}

	//Give the entity it's new attributes
	if (entity->HasInt32("color"))
		entity->ReplaceInt32("color", *((int32 *)&color));
	else
		entity->AddInt32("color", *((int32 *)&color));

	return B_OK;
}

//don't forget to go Window->Settings->x86 Project and change the default file name
