//addonManager.h
//Copyright © 1998, Paul Yu 

#ifndef _addonManager_h_
#define _addonManager_h_

#include "orderedList.h"

class addonManager
{
	public:
		addonManager();
		~addonManager();

		const char *GetBehaviour(int32 index);
		const char *GetVisual(int32 index);
		const char *GetInitialiser(int32 index);
		
		void *GetBehaviour(const char *algorithm);
		void *GetVisual(const char *algorithm);
		void *GetInitialiser(const char *algorithm);

	protected:
		orderedList mBehaviours;
		orderedList mVisuals;
		orderedList mInitialisers;
		BList mImages;
};

#endif