//arenaManager.h
//Copyright © 1998, Paul Yu 

#ifndef _arenaManager_h_
#define _arenaManager_h_

#include <Handler.h>
class BGLView;

class arenaManager : public BHandler
{
	public:
		arenaManager();
		~arenaManager();
		void MessageReceived(BMessage *msg);

	protected:
		void ResizeArena(int32 size);
		void Display();
		void DisplayNext();
		void Rotate();

		bool Spinning();
	
		BGLView *mView;
		BHandler *mEntities;

		bool mContinuous;

		int32 mArenaSize;
		int32 mRepeatToken;

		float mSpinRate[3];
		int32 mDisplayAngle[3];
};

#endif
