//entityEditor.h
//Copyright © 1998, Paul Yu 

#ifndef _entityEditor_h_
#define _entityEditor_h_

#include <Handler.h>
#include <FilePanel.h>
class addonManager;

class entityEditor : public BHandler
{
	public:
		entityEditor();
		~entityEditor();
		void MessageReceived(BMessage *msg);

	protected:
		void Editor();
		status_t Open(entry_ref *ref);
		status_t Save(entry_ref *file);
		status_t SaveAs(entry_ref *dir, const char *leaf);

		addonManager *mAddons;
		BHandler *mArenaManager;
		BHandler *mEntityManager;

		entry_ref *mCurrentFile;
		entry_ref mCurrentDirectory;
		BFilePanel *mOpenPanel;
		BFilePanel *mSavePanel;
};

#endif
