//entityWindow.h

#ifndef _entityWindow_h_
#define _entityWindow_h_

#include <Window.h>
class listView;
class addonManager;
class BTextControl;

class entityWindow : public BWindow
{
	public:
		entityWindow();
		~entityWindow();
		void MessageReceived(BMessage *msg);
		void Show();
		void Editor(const char *type);
		
	protected:
		addonManager *mAddons;
		BWindow *mEditorWindow;
		
		listView *mBehavioursList;
		listView *mVisualsList;
		listView *mInitialisersList;
		BTextControl *mNameInput;

		BMessage mEntity;
		int32 mIndex;
};

#endif